index

Varkon MBS Programmers manual

# round - Function

## Description

Rounds a FLOAT argument to the nearest (lower or higher) INT.

## Syntax

      i:=round(x);

      int   i;
      float x;

## Principal parameters

x | - A value.

## Optional parameters

None.

## Return value

The INT value closest to x.

## Example

      i:=round(10.25);  ! Returns  10
      i:=round(10.75)   ! Returns  11
      i:=round(0);      ! Returns   0
      i:=round(-10.25); ! Returns -10
      i:=round(-10.75); ! Returns -11

Varkon version 1.19C svn# 97